기계 번역으로 제공되는 번역입니다. 제공된 번역과 원본 영어의 내용이 상충하는 경우에는 영어 버전이 우선합니다.
폴더/대시보드 검색 API
FolderDashboard-Search API를 사용하여 Amazon Managed Grafana 워크스페이스에서 폴더 및 대시보드를 검색합니다.
참고
Amazon Managed Grafana 워크스페이스에서 Grafana API를 사용하려면 유효한 서비스 계정 토큰이 있어야 합니다. API 요청의 Authorization 필드에 이를 포함합니다.
폴더 및 대시보드 검색
GET /api/search/
쿼리 파라미터:
-
쿼리 - 쿼리 검색
-
태그 - 검색할 태그 목록. 태그가 아닌 Grafana AWS 태그입니다.
-
유형 -
dash-folder또는dash-db를 검색할 유형. -
dashboardIds - 검색할 대시보드 ID 목록.
-
folderIds - 대시보드에서 검색할 대시보드 ID 목록.
-
별표 - 별표가 지정된 대시보드만 반환하도록 지정하는 플래그.
-
제한 - 반환된 결과 수를 제한합니다(최대 5,000개).
-
페이지 - 이 파라미터를 사용하여 한도를 초과하는 히트에 액세스합니다. 번호 지정은 1부터 시작합니다.
limit파라미터는 페이지 크기 역할을 합니다.
일반 폴더의 폴더 및 대시보드 검색에 대한 요청 예제
GET /api/search?folderIds=0&query=&starred=false HTTP/1.1 Accept: application/json Content-Type: application/json Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
일반 폴더의 폴더 및 대시보드 검색에 대한 응답 응답
HTTP/1.1 200 Content-Type: application/json [ { "id": 163, "uid": "000000163", "title": "Folder", "url": "/dashboards/f/000000163/folder", "type": "dash-folder", "tags": [], "isStarred": false, "uri":"db/folder" // deprecated in Grafana v5.0 }, { "id":1, "uid": "cIBgcSjkk", "title":"Production Overview", "url": "/d/cIBgcSjkk/production-overview", "type":"dash-db", "tags":[prod], "isStarred":true, "uri":"db/production-overview" // deprecated in Grafana v5.0 } ]
별표가 지정된 대시보드 검색에 대한 요청 예제
GET /api/search?query=Production%20Overview&starred=true&tag=prod HTTP/1.1 Accept: application/json Content-Type: application/json Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
별표가 지정된 대시보드 검색에 대한 응답 예제
HTTP/1.1 200 Content-Type: application/json [HTTP/1.1 200 Content-Type: application/json [ { "id":1, "uid": "cIBgcSjkk", "title":"Production Overview", "url": "/d/cIBgcSjkk/production-overview", "type":"dash-db", "tags":[prod], "isStarred":true, "folderId": 2, "folderUid": "000000163", "folderTitle": "Folder", "folderUrl": "/dashboards/f/000000163/folder", "uri":"db/production-overview" // deprecated in Grafana v5.0 } ]